# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_e1nnl9j2se/clone/recipe, last modified Tue Mar 28 08:06:33 2023
# ------------------------------------------------

package:
  name: nbclassic
  version: 0.5.3
source:
  sha256: 889772a7ba524eb781d2901f396540bcad41151e1f7e043f12ebc14a6540d342
  url: https://pypi.io/packages/source/n/nbclassic/nbclassic-0.5.3.tar.gz
build:
  entry_points:
    - jupyter-nbclassic = nbclassic.notebookapp:main
    - jupyter-nbclassic-bundlerextension = nbclassic.bundler.bundlerextensions:main
    - jupyter-nbclassic-extension = nbclassic.nbextensions:main
    - jupyter-nbclassic-serverextension = nbclassic.serverextensions:main
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_e1nnl9j2se/croot/nbclassic_1680008800960/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir --no-build-isolation
    -vvv
  string: py39hca03da5_0
requirements:
  host:
    - anyio 3.5.0 py39hca03da5_0
    - argon2-cffi 21.3.0 pyhd3eb1b0_0
    - argon2-cffi-bindings 21.2.0 py39h1a28f6b_0
    - attrs 22.1.0 py39hca03da5_0
    - babel 2.11.0 py39hca03da5_0
    - beautifulsoup4 4.11.1 py39hca03da5_0
    - bleach 4.1.0 pyhd3eb1b0_0
    - ca-certificates 2023.01.10 hca03da5_0
    - certifi 2022.12.7 py39hca03da5_0
    - cffi 1.15.1 py39h80987f9_3
    - defusedxml 0.7.1 pyhd3eb1b0_0
    - deprecation 2.1.0 pyhd3eb1b0_0
    - entrypoints 0.4 py39hca03da5_0
    - flit-core 3.8.0 py39hca03da5_0
    - icu 68.1 hc377ac9_0
    - idna 3.4 py39hca03da5_0
    - jinja2 3.1.2 py39hca03da5_0
    - jsonschema 4.17.3 py39hca03da5_0
    - jupyter-packaging 0.12.0 py39hca03da5_1
    - jupyter_client 7.4.9 py39hca03da5_0
    - jupyter_core 5.2.0 py39hca03da5_0
    - jupyter_server 1.23.4 py39hca03da5_0
    - jupyterlab_pygments 0.1.2 py_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.2 hca03da5_6
    - libiconv 1.16 h1a28f6b_2
    - libsodium 1.0.18 h1a28f6b_0
    - libxml2 2.10.3 h372ba2a_0
    - libxslt 1.1.37 habca612_0
    - lxml 4.9.2 py39h80987f9_0
    - markupsafe 2.1.1 py39h1a28f6b_0
    - mistune 0.8.4 py39h1a28f6b_1000
    - nbclient 0.5.13 py39hca03da5_0
    - nbconvert 6.5.4 py39hca03da5_0
    - nbformat 5.7.0 py39hca03da5_0
    - ncurses 6.4 h313beb8_0
    - nest-asyncio 1.5.6 py39hca03da5_0
    - openssl 1.1.1t h1a28f6b_0
    - packaging 23.0 py39hca03da5_0
    - pandocfilters 1.5.0 pyhd3eb1b0_0
    - pip 23.0.1 py39hca03da5_0
    - platformdirs 2.5.2 py39hca03da5_0
    - prometheus_client 0.14.1 py39hca03da5_0
    - ptyprocess 0.7.0 pyhd3eb1b0_2
    - pycparser 2.21 pyhd3eb1b0_0
    - pygments 2.11.2 pyhd3eb1b0_0
    - pyrsistent 0.18.0 py39h1a28f6b_0
    - python 3.9.16 hc0d8a6c_2
    - python-dateutil 2.8.2 pyhd3eb1b0_0
    - python-fastjsonschema 2.16.2 py39hca03da5_0
    - pytz 2022.7 py39hca03da5_0
    - pyzmq 23.2.0 py39hc377ac9_0
    - readline 8.2 h1a28f6b_0
    - send2trash 1.8.0 pyhd3eb1b0_1
    - setuptools 65.6.3 py39hca03da5_0
    - six 1.16.0 pyhd3eb1b0_1
    - sniffio 1.2.0 py39hca03da5_1
    - soupsieve 2.3.2.post1 py39hca03da5_0
    - sqlite 3.41.1 h80987f9_0
    - terminado 0.17.1 py39hca03da5_0
    - tinycss2 1.2.1 py39hca03da5_0
    - tk 8.6.12 hb8d0fd4_0
    - tomlkit 0.11.1 py39hca03da5_0
    - tornado 6.2 py39h1a28f6b_0
    - traitlets 5.7.1 py39hca03da5_0
    - typing-extensions 4.4.0 py39hca03da5_0
    - typing_extensions 4.4.0 py39hca03da5_0
    - tzdata 2022g h04d1e81_0
    - webencodings 0.5.1 py39hca03da5_1
    - websocket-client 0.58.0 py39hca03da5_4
    - wheel 0.38.4 py39hca03da5_0
    - xz 5.2.10 h80987f9_1
    - zeromq 4.3.4 hc377ac9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - argon2-cffi
    - ipykernel
    - ipython_genutils
    - jinja2
    - jupyter_client >=6.1.1
    - jupyter_core >=4.6.1
    - jupyter_server >=1.8
    - nbconvert >=5
    - nbformat
    - nest-asyncio >=1.5
    - notebook-shim >=0.1.0
    - prometheus_client
    - python >=3.9,<3.10.0a0
    - pyzmq >=17
    - send2trash >=1.8.0
    - terminado >=0.8.3
    - tornado >=6.1
    - traitlets >=4.2.1
test:
  commands:
    - pip check
    - jupyter nbclassic --help
    - jupyter nbclassic-extension --help
    - jupyter nbclassic-serverextension --help
    - jupyter nbclassic-bundlerextension --help
    - jupyter server extension list
    - jupyter server extension list 1>server_extensions 2>&1
    - cat server_extensions | rg -ie "nbclassic.*enabled"
    - cat server_extensions | rg -ie "nbclassic.*OK"
    - cat server_extensions | rg -ie "notebook_shim.*enabled"
    - cat server_extensions | rg -ie "notebook_shim.*OK"
  imports:
    - nbclassic
  requires:
    - pip
    - ripgrep
about:
  description: 'This project prepares for a future where JupyterLab and other frontends

    switch to Jupyter Server for their Python Web application backend. Using

    this package, users can launch Jupyter Notebook, JupyterLab and other

    frontends side-by-side on top of the new Python server backend.

    '
  dev_url: https://github.com/jupyter/nbclassic
  doc_url: https://nbclassic.readthedocs.io/
  home: https://github.com/jupyter/nbclassic
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Jupyter Notebook as a Jupyter Server Extension.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: e16425a9-1edb-44d7-8048-6d6939be3b8d
  recipe-maintainers:
    - afshin
    - bollwyvl
    - jasongrout
    - jtpio
  remote_url: git@github.com:AnacondaRecipes/nbclassic-feedstock.git
  sha: ca2e33365607687bb9c0a1c1d0e46b4b4c76ce87
